cURL
curl --request POST \
--url https://production.getgaana.com/api/media-config/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content_pillar": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number_of_posts": 123,
"items": [
{
"post_type": "<string>",
"assets": [
{
"type": "<string>",
"url": "<string>",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"variants": [
"<string>"
],
"descriptions": [
{
"description": "<string>"
}
],
"metadata": {
"aspect_ratio": "<string>"
}
}
]
}
'import requests
url = "https://production.getgaana.com/api/media-config/"
payload = {
"content_pillar": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number_of_posts": 123,
"items": [
{
"post_type": "<string>",
"assets": [
{
"type": "<string>",
"url": "<string>",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"variants": ["<string>"],
"descriptions": [{ "description": "<string>" }],
"metadata": { "aspect_ratio": "<string>" }
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content_pillar: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
number_of_posts: 123,
items: [
{
post_type: '<string>',
assets: [
{
type: '<string>',
url: '<string>',
product_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
],
variants: ['<string>'],
descriptions: [{description: '<string>'}],
metadata: {aspect_ratio: '<string>'}
}
]
})
};
fetch('https://production.getgaana.com/api/media-config/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"post_type": "video",
"assets": "<unknown>",
"metadata": null,
"variants": [
"<string>"
],
"descriptions": "<unknown>"
}
],
"content_pillar": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"ref_images": "<unknown>"
},
"number_of_posts": -1
},
"message": "<string>",
"status": "success"
}{
"message": "<string>",
"status": "failed",
"data": [
"<unknown>"
]
}{
"message": "<string>",
"status": "failed",
"data": [
"<unknown>"
]
}{
"message": "<string>",
"status": "failed",
"data": [
"<unknown>"
]
}Media Configurations
Media Config Create
Creates a new media configuration for generating visuals.
POST
/
media-config
/
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
⌘I